// creator  : weidu.exe (version 23100)
// argument : BRANWE.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~BRANWE~
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF WEIGHT #1 /* Triggers after states #: 4 even though they appear after this state */
~NumTimesTalkedTo(0)
~ THEN BEGIN 0 // from:
  SAY #922 /* ~I have no time for one as long-winded as you. Fare thee well, I'll not rescue you.~ */
  IF ~~ THEN REPLY #925 /* ~They should be more careful if they are weak. Where is Khalid, anyway?~ */ GOTO 2
  IF ~~ THEN REPLY #927 /* ~This instrument, made of two bulbs of glass joined by a narrow passage, tells time with a portion of sand that falls between the two bulbs. Hour glasses are a common time telling device throughout the Realms.~ */ GOTO 1
END

IF ~~ THEN BEGIN 1 // from: 0.1
  SAY #923 /* ~I agree, but your cage seems to require a key of some magical nature.~ */
  IF ~~ THEN DO ~

~ JOURNAL #11887 /* ~~ */ EXIT
END

IF ~~ THEN BEGIN 2 // from: 0.0
  SAY #924 /* ~Where is Khalid now? He is not with you?~ */
  IF ~~ THEN DO ~JoinParty()
~ JOURNAL #11886 /* ~~ */ EXIT
END

IF WEIGHT #2 /* Triggers after states #: 4 even though they appear after this state */
~True()
~ THEN BEGIN 3 // from:
  SAY #6066 /* ~Anytime, broadarse, bring it on!~ */
  IF ~~ THEN REPLY #10889 /* ~Spell Deflection (Abjuration) 
Level: 6
Range: 0 
Duration: 3 rounds/level
Casting Time: 6
Area of Effect: The caster 
Saving Throw: None 

This powerful abjuration spell causes any spells cast against the wizard to be absorbed and consumed.  This affects a total of 10 spell levels.  This includes spells cast from scrolls and innate spell-like abilities, but excludes the following: area effects that are not centered directly upon the wizard as well as area effects that are stationary such as cloud kill and stinking cloud.  As long as the spell is cast directly at the wizard it will be absorbed.  Something to note is that as long as there are levels remaining then the spell will be absorbed.  For example if there is only 1 level left and a 3rd-level spell is cast at the wizard, the spell will be absorbed while canceling the spell deflection.  It is not affected by a dispel magic.~ */ EXIT
  IF ~~ THEN REPLY #10890 /* ~I am a djinni and I have been bound by a wizard to guard his items, and your item it seems. I can sense your touch upon this weapon.~ */ DO ~JoinParty()
~ JOURNAL #11886 /* ~~ */ EXIT
END

IF WEIGHT #0 ~StateCheck(Myself,STATE_CHARMED)
~ THEN BEGIN 4 // from:
  SAY #6067 /* ~You'd best back down, Korgan. Now!~ */
  IF ~~ THEN JOURNAL #6562 /* ~~ */ EXIT
END

IF ~~ THEN BEGIN 5 // from:
  SAY #14743 /* ~Imoen?  Is 'at the girl?  Aye, she was taken.  Don't know where to.  Maybe 'twas the Cowled ones, come to arrest 'em for all the magics and the like.~ */
  IF ~~ THEN DO ~~ EXIT
END

IF ~~ THEN BEGIN 6 // from:
  SAY #14744 /* ~Albert~ */
  IF ~~ THEN DO ~~ EXIT
END
